/* gtk2hs-config.h.  Generated from gtk2hs-config.h.in by configure.  */
/* gtk2hs-config.h.in.  Generated from configure.ac by autoheader.  */


#ifndef _GTK2HS_CONFIG_H_
#define _GTK2HS_CONFIG_H_

/* Hack to suppress warnings that these symbols clash with
   the ones from ghc's version of config.h */
#undef /**/ PACKAGE_NAME
#undef /**/ PACKAGE_STRING
#undef /**/ PACKAGE_TARNAME
#undef /**/ PACKAGE_VERSION


/* Leave out all deprecated functions. */
/* #undef DISABLE_DEPRECATED */

/* Whether or not the cairo package is available. */
#define ENABLE_CAIRO /**/

/* cairo pdf backend enabled */
#define ENABLE_CAIRO_PDF_SURFACE /**/

/* cairo png functions available */
#define ENABLE_CAIRO_PNG_FUNCTIONS /**/

/* cairo ps backend enabled */
#define ENABLE_CAIRO_PS_SURFACE /**/

/* cairo svg backend enabled */
#define ENABLE_CAIRO_SVG_SURFACE /**/

/* Whether or not the firefox package is available. */
/* #undef ENABLE_FIREFOX_MOZEMBED */

/* Whether or not the gconf package is available. */
#define ENABLE_GCONF /**/

/* Whether or not the gio package is available. */
#define ENABLE_GIO /**/

/* Whether or not the gnomevfs package is available. */
/* #undef ENABLE_GNOMEVFS */

/* Whether or not the gstreamer package is available. */
#define ENABLE_GSTREAMER /**/

/* Whether or not the gtk package is available. */
#define ENABLE_GTK /**/

/* Whether or not the opengl package is available. */
#define ENABLE_GTKGLEXT /**/

/* Whether or not the gtksourceview2 package is available. */
#define ENABLE_GTKSOURCEVIEW2 /**/

/* Whether or not the libglade package is available. */
#define ENABLE_LIBGLADE /**/

/* Whether or not the mozilla package is available. */
/* #undef ENABLE_MOZILLA_MOZEMBED */

/* Whether or not the seamonkey package is available. */
/* #undef ENABLE_SEAMONKEY_MOZEMBED */

/* Whether or not the sourceview package is available. */
/* #undef ENABLE_SOURCEVIEW */

/* Whether or not the svg package is available. */
#define ENABLE_SVGCAIRO /**/

/* Whether or not the vte package is available. */
#define ENABLE_VTE /**/

/* Whether or not the xulrunner package is available. */
/* #undef ENABLE_XULRUNNER_MOZEMBED */

/* Omit deprecated gdk functions. */
/* #undef GDK_DISABLE_DEPRECATED */

/* Omit deprecated pixbuf functions. */
/* #undef GDK_PIXBUF_DISABLE_DEPRECATED */

/* Omit deprecated gtk functions. */
/* #undef GTK_DISABLE_DEPRECATED */

/* Define this if we need to hack around a broken development version of Gtk+
   (2.1.0) that for some reason Sun decided it'd be a really good idea for
   them to ship. Grrr. */
/* #undef GTK_MULTIHEAD_SAFE */

/* Omit deprecated glib functions. */
/* #undef G_DISABLE_DEPRECATED */

/* Define if you have the new Control.Exception module (from GHC 6.10) */
#define HAVE_NEW_CONTROL_EXCEPTION 1

/* Using split base package. */
#define HAVE_SPLIT_BASE 1

/* The mozembed library directory */
#define MOZEMBED_LIBDIR ""

/* Name of package */
#define PACKAGE "gtk2hs"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "gtk2hs"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "gtk2hs 0.10.1"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "gtk2hs"

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION "0.10.1"

/* Use the new GClosure based signals implementation. */
#define USE_GCLOSUE_SIGNALS_IMPL /**/

/* Version number of package */
#define VERSION "0.10.1"

/* cairo major version number */
#define _CAIRO_MAJOR_VERSION (1)

/* cairo minor patch level */
#define _CAIRO_MICRO_VERSION (8)

/* cairo minor version number */
#define _CAIRO_MINOR_VERSION (8)

/* Glib major version */
#define _GLIB_MAJOR_VERSION (2)

/* Glib micro version */
#define _GLIB_MICRO_VERSION (1)

/* Glib minor version */
#define _GLIB_MINOR_VERSION (23)

/* gnome-vfs major version */
#define _GNOME_VFS_MAJOR_VERSION ()

/* gnome-vfs micro version */
#define _GNOME_VFS_MICRO_VERSION ()

/* gnome-vfs minor version */
#define _GNOME_VFS_MINOR_VERSION ()

/* gstreamer major version */
#define _GST_MAJOR_VERSION (0)

/* gstreamer micro version */
#define _GST_MICRO_VERSION (25)

/* gstreamer minor version */
#define _GST_MINOR_VERSION (10)

/* gtksourceview2 major version */
#define _GTKSOURCEVIEW2_MAJOR_VERSION (2)

/* gtksourceview2 micro version */
#define _GTKSOURCEVIEW2_MICRO_VERSION (4)

/* gtksourceview2 minor version */
#define _GTKSOURCEVIEW2_MINOR_VERSION (9)

/* Gtk+ major version */
#define _GTK_MAJOR_VERSION (2)

/* Gtk+ micro version */
#define _GTK_MICRO_VERSION (3)

/* Gtk+ minor version */
#define _GTK_MINOR_VERSION (19)

/* librsvg major version */
#define _LIBRSVG_MAJOR_VERSION (2)

/* librsvg micro version */
#define _LIBRSVG_MICRO_VERSION (0)

/* librsvg minor version */
#define _LIBRSVG_MINOR_VERSION (26)

/* Pango major version */
#define _PANGO_MAJOR_VERSION (1)

/* Pango micro version */
#define _PANGO_MICRO_VERSION (1)

/* Pango minor version */
#define _PANGO_MINOR_VERSION (26)

/* Version number of GHC. */
#define __GLASGOW_HASKELL__ 612


/* Allow code to be compiled differently for different versions of Gtk+ */
#ifdef GTK2HS_HS_PREPROC
#define GTK_CHECK_VERSION(major, minor, micro) \
    (_GTK_MAJOR_VERSION > (major) || \
     (_GTK_MAJOR_VERSION == (major) && _GTK_MINOR_VERSION > (minor)) || \
     (_GTK_MAJOR_VERSION == (major) && _GTK_MINOR_VERSION == (minor) && \
      _GTK_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of gtksourceview2 */
#ifdef GTK2HS_HS_PREPROC
#define GTKSOURCEVIEW2_CHECK_VERSION(major, minor, micro) \
    (_GTKSOURCEVIEW2_MAJOR_VERSION > (major) || \
     (_GTKSOURCEVIEW2_MAJOR_VERSION == (major) && _GTKSOURCEVIEW2_MINOR_VERSION > (minor)) || \
     (_GTKSOURCEVIEW2_MAJOR_VERSION == (major) && _GTKSOURCEVIEW2_MINOR_VERSION == (minor) && \
      _GTKSOURCEVIEW2_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of Pango */
#ifdef GTK2HS_HS_PREPROC
#define PANGO_CHECK_VERSION(major, minor, micro) \
    (_PANGO_MAJOR_VERSION > (major) || \
     (_PANGO_MAJOR_VERSION == (major) && _PANGO_MINOR_VERSION > (minor)) || \
     (_PANGO_MAJOR_VERSION == (major) && _PANGO_MINOR_VERSION == (minor) && \
      _PANGO_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of Glib */
#ifdef GTK2HS_HS_PREPROC
#define GLIB_CHECK_VERSION(major, minor, micro) \
    (_GLIB_MAJOR_VERSION > (major) || \
     (_GLIB_MAJOR_VERSION == (major) && _GLIB_MINOR_VERSION > (minor)) || \
     (_GLIB_MAJOR_VERSION == (major) && _GLIB_MINOR_VERSION == (minor) && \
      _GLIB_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of gstreamer */
#ifdef GTK2HS_HS_PREPROC
#define GST_CHECK_VERSION(major, minor, micro) \
    (_GST_MAJOR_VERSION > (major) || \
     (_GST_MAJOR_VERSION == (major) && _GST_MINOR_VERSION > (minor)) || \
     (_GST_MAJOR_VERSION == (major) && _GST_MINOR_VERSION == (minor) && \
      _GST_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of gnome-vfs */
#ifdef GTK2HS_HS_PREPROC
#define GNOME_VFS_CHECK_VERSION(major, minor, micro) \
    (_GNOME_VFS_MAJOR_VERSION > (major) || \
     (_GNOME_VFS_MAJOR_VERSION == (major) && _GNOME_VFS_MINOR_VERSION > (minor)) || \
     (_GNOME_VFS_MAJOR_VERSION == (major) && _GNOME_VFS_MINOR_VERSION == (minor) && \
      _GNOME_VFS_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of librsvg */
#ifdef GTK2HS_HS_PREPROC
#define LIBRSVG_CHECK_VERSION(major, minor, micro) \
    (_LIBRSVG_MAJOR_VERSION > (major) || \
     (_LIBRSVG_MAJOR_VERSION == (major) && _LIBRSVG_MINOR_VERSION > (minor)) || \
     (_LIBRSVG_MAJOR_VERSION == (major) && _LIBRSVG_MINOR_VERSION == (minor) && \
      _LIBRSVG_MICRO_VERSION >= (micro)))
#endif



/* Allow code to be compiled differently for different versions of cairo */
#ifdef GTK2HS_HS_PREPROC
#define CAIRO_CHECK_VERSION(major,minor,micro)    \
    (_CAIRO_MAJOR_VERSION > (major) || \
     (_CAIRO_MAJOR_VERSION == (major) && _CAIRO_MINOR_VERSION > (minor)) || \
     (_CAIRO_MAJOR_VERSION == (major) && _CAIRO_MINOR_VERSION == (minor) && \
      _CAIRO_MICRO_VERSION >= (micro)))
#endif

#endif

